<div class="ui pagination menu" ng-if="1 < pages.length || !autoHide">
  <a ng-if="boundaryLinks" ng-class="{ disabled : pagination.current == 1 }" class="item" ref="" ng-click="setCurrent(1)">
    &laquo;
  </a>
  <a class="item" ng-if="directionLinks" ng-class="{ disabled : pagination.current == 1 }" href="" ng-click="setCurrent(pagination.current - 1)">
    &lsaquo;
  </a>
  <a ng-repeat="pageNumber in pages track by tracker(pageNumber, $index)" ng-class="{ active : pagination.current == pageNumber, disabled : pageNumber == '...' }" class="item" href="" ng-click="setCurrent(pageNumber)">
    {{ pageNumber }}
  </a>
  <a ng-if="directionLinks" ng-class="{ disabled : pagination.current == pagination.last }" class="item" href="" ng-click="setCurrent(pagination.current + 1)">
    &rsaquo;
  </a>
  <a ng-if="boundaryLinks"  ng-class="{ disabled : pagination.current == pagination.last }" class="item" href="" ng-click="setCurrent(pagination.last)">
    &raquo;
  </a>
</div>
